Loading...
Searching...
No Matches
oval_syschar.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_definitions_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
Include dependency graph for oval_syschar.c:

## Data Structures

struct | oval_syschar
| Characteristics bound to an Oval_object. More...
struct | oval_syschar_parse_subtag_varval_context

## Typedefs

typedef struct oval_syschar | oval_syschar_t
| Represents a single collected <object> element.

## Functions

oval_syschar_collection_flag_t | oval_syschar_get_flag (struct oval_syschar *syschar)
void | oval_syschar_set_flag (struct oval_syschar *syschar, oval_syschar_collection_flag_t flag)
void | oval_syschar_set_object (struct oval_syschar *syschar, struct oval_object *object)
struct oval_message_iterator * | oval_syschar_get_messages (struct oval_syschar *syschar)
void | oval_syschar_add_message (struct oval_syschar *syschar, struct oval_message *message)
void | oval_syschar_add_new_message (struct oval_syschar *syschar, char *text, oval_message_level_t level)
struct oval_object * | oval_syschar_get_object (struct oval_syschar *syschar)
struct oval_syschar_model * | oval_syschar_get_model (struct oval_syschar *syschar)
struct oval_variable_binding_iterator * | oval_syschar_get_variable_bindings (struct oval_syschar *syschar)
struct oval_sysitem_iterator * | oval_syschar_get_sysitem (struct oval_syschar *syschar)
void | oval_syschar_add_sysitem (struct oval_syschar *syschar, struct oval_sysitem *sysitem)
void | oval_syschar_add_variable_binding (struct oval_syschar *syschar, struct oval_variable_binding *binding)
struct oval_syschar * | oval_syschar_new (struct oval_syschar_model *model, struct oval_object *object)
struct oval_syschar * | oval_syschar_clone (struct oval_syschar_model *new_model, struct oval_syschar *old_syschar)
void | oval_syschar_free (struct oval_syschar *syschar)
int | oval_syschar_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, void *usr)
void | oval_syschar_to_dom (struct oval_syschar *syschar, xmlDoc *doc, xmlNode *tag_parent)
int | oval_syschar_get_variable_instance (const struct oval_syschar *syschar)
void | oval_syschar_set_variable_instance (struct oval_syschar *syschar, int variable_instance_in)
int | oval_syschar_get_variable_instance_hint (const struct oval_syschar *syschar)
void | oval_syschar_set_variable_instance_hint (struct oval_syschar *syschar, int variable_instance_hint_in)
const char * | oval_syschar_get_id (const struct oval_syschar *syschar)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/